Name:           915resolution
Version:        0.5.3
Release:        4%{?dist}
Summary:        Intel video BIOS hack to support certain resolutions 

Group:          User Interface/X Hardware Support 
License:        Public Domain 
URL:            http://www.geocities.com/stomljen/ 
Source0:        http://www.geocities.com/stomljen/%{name}-%{version}.tar.gz
Source1:        %{name}-init
Source2:        %{name}-config
Source3:        %{name}-pm-hook

# support for additional chipsets
Patch0:         965GM.patch
Patch1:         E7221.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# this doesn't make much sense on ppc.  That, and it fails to build :)
ExcludeArch:    ppc ppc64

# simple "get it going" instructions
Source100:      README.fedora

# for the add/remove/condrestart service stuff.
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig
Requires(preun):  /sbin/service


%description
915resolution is a tool to modify the video BIOS of the 800 and 900 series
Intel graphics chipsets. This includes the 845G, 855G, and 865G chipsets, as
well as 915G, 915GM, and 945G chipsets. This modification is necessary to
allow the display of certain graphics resolutions for an Xorg or XFree86
graphics server.

915resolution's modifications of the BIOS are transient. There is no risk of
permanent modification of the BIOS. This also means that 915resolution must be
run every time the computer boots inorder for it's changes to take effect.

915resolution is derived from the tool 855resolution. However, the code
differs substantially. 915resolution's code base is much simpler.
915resolution also allows the modification of bits per pixel. 

%prep
%setup -q 
%patch0 -p1
%patch1 -p1

# keep rpmlint from complaining....
chmod -x dump_bios

cp %{SOURCE100} .

%build
make clean
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
cp %{name} %{buildroot}%{_sbindir}

# ...and the associated support bits
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m 0755 -T %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/rc.d/init.d/915resolution
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m 0644 -T %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/sysconfig/915resolution
mkdir -p %{buildroot}%{_sysconfdir}/pm/sleep.d
install -m 0755 -T %{SOURCE3} \
    %{buildroot}%{_sysconfdir}/pm/sleep.d/99resolution


%clean
rm -rf %{buildroot}


%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add 915resolution


%preun
if [ $1 = 0 ]; then
    /sbin/service 915resolution stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del 915resolution
fi

# no postun scriptlet is provided to "restart" the service on upgrade as this
# doesn't seem entirely appropriate.  explanations as to why this is wrong are
# welcome :)

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README* changes.log chipset_info.txt dump_bios
%{_sbindir}/*
%{_sysconfdir}/rc.d/init.d/*
%{_sysconfdir}/pm/sleep.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/*


%changelog
* Sat Dec 15 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.5.3-4
- add support for the E7221 chipset (BZ#425789)
- fix suspend/resume hook placement (BZ#253453)

* Tue Nov 13 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.5.3-3
- incorporate patch from bz #331411 

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.5.3-2
- bump

* Fri May 18 2007 Chris Weyl <cweyl@alumni.drew.edu>
- add 'ppc64' to list of arches excluded from builds; no rebuild at this time

* Mon Apr 30 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.5.3-1
- update to 0.5.3

* Thu Mar 01 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.5.2-6
- bump

* Mon Feb 19 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.5.2-5
- add initscript infrastructure from Bojan Smojver, who kindly did most of the
  work to implement it.  Thanks Bojan! :)

* Thu Dec 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.5.2-4
- bump

* Tue Aug 01 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.5.2-3
- excludearch ppc

* Tue Aug 01 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.5.2-2
- bump for build & release 

* Thu Jul 27 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.5.2-1
- bump release
- add README.fedora

* Tue Jun 13 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.5.2-0
- Initial spec file for F-E
